/*
This file is part of the Juju GUI, which lets users view and manage Juju
environments within a graphical interface (https://launchpad.net/juju-gui).
Copyright (C) 2016 Canonical Ltd.

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU Affero General Public License version 3, as published by
the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero
General Public License for more details.

You should have received a copy of the GNU Affero General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/*
The ISV profile component renders a venders profile with stats based on there
charms and bundles. You can only see this page is you have access.
*/

'use strict';

YUI.add('isv-profile', function () {

  juju.components.ISVProfile = React.createClass({
    propTypes: {
      d3: React.PropTypes.object.isRequired
    },

    /**
      Placeholder function to get the data to render the plan usage chart
       @method getDataSet
      @returns {Array} Array of data points.
    */
    getDataSet: function () {
      return [[{ 'date': new Date(2012, 0, 1), 'value': 300 }, { 'date': new Date(2012, 0, 3), 'value': 200 }, { 'date': new Date(2012, 0, 12), 'value': 330 }, { 'date': new Date(2012, 0, 21), 'value': 130 }, { 'date': new Date(2012, 0, 30), 'value': 230 }], [{ 'date': new Date(2012, 0, 1), 'value': 300 }, { 'date': new Date(2012, 0, 3), 'value': 220 }, { 'date': new Date(2012, 0, 12), 'value': 630 }, { 'date': new Date(2012, 0, 21), 'value': 230 }, { 'date': new Date(2012, 0, 30), 'value': 30 }]];
    },

    render: function () {
      return React.createElement(
        juju.components.Panel,
        {
          instanceName: 'isv-profile',
          visible: true },
        React.createElement(
          'div',
          { className: 'row-hero' },
          React.createElement(
            'div',
            { className: 'inner-wrapper' },
            React.createElement(
              'nav',
              { className: 'three-col isv-profile__navigation' },
              React.createElement(
                'ul',
                { className: 'isv-profile__navigation-list' },
                React.createElement(
                  'li',
                  { className: 'isv-profile__navigation-item--title' },
                  React.createElement(
                    'a',
                    { href: '' },
                    'Acme Corp'
                  )
                ),
                React.createElement(
                  'li',
                  { className: 'isv-profile__navigation-item' },
                  React.createElement(
                    'a',
                    { href: '' },
                    'Charms'
                  )
                ),
                React.createElement(
                  'li',
                  { className: 'isv-profile__navigation-item' },
                  React.createElement(
                    'a',
                    { href: '' },
                    'Issues'
                  )
                ),
                React.createElement(
                  'li',
                  { className: 'isv-profile__navigation-item' },
                  React.createElement(
                    'a',
                    { href: '' },
                    'Revenue'
                  )
                )
              )
            ),
            React.createElement(
              'main',
              { className: 'nine-col last-col' },
              React.createElement(
                'div',
                { className: 'isv-profile__live-data clearfix' },
                React.createElement(
                  'h3',
                  { className: 'isv-profile__section-title' },
                  '03 September 2016 - 14:35'
                ),
                React.createElement(
                  'div',
                  { className: 'three-col isv-profile__box' },
                  React.createElement(
                    'h3',
                    { className: 'isv-profile__box-title' },
                    'User this hour'
                  ),
                  React.createElement(
                    'p',
                    { className: 'isv-profile__box-stat' },
                    '23'
                  )
                ),
                React.createElement(
                  'div',
                  { className: 'three-col isv-profile__box' },
                  React.createElement(
                    'h3',
                    { className: 'isv-profile__box-title' },
                    'Units this hour'
                  ),
                  React.createElement(
                    'p',
                    { className: 'isv-profile__box-stat' },
                    '64'
                  )
                ),
                React.createElement(
                  'div',
                  { className: 'three-col last-col isv-profile__box' },
                  React.createElement(
                    'h3',
                    { className: 'isv-profile__box-title' },
                    'Net revenue to date'
                  ),
                  React.createElement(
                    'p',
                    { className: 'isv-profile__box-stat' },
                    '$1,500.00'
                  )
                )
              ),
              React.createElement(
                'div',
                { className: 'isv-profile__historic-data' },
                React.createElement(
                  'h3',
                  { className: 'isv-profile__section-title' },
                  'Last six weeks'
                ),
                React.createElement(
                  'div',
                  { className: 'twelve-col isv-profile__box' },
                  React.createElement(
                    'div',
                    { className: 'twelve-col' },
                    'Show dates from:',
                    React.createElement(
                      'select',
                      { name: 'select',
                        className: 'isv-profile__historic-data-input' },
                      React.createElement(
                        'option',
                        { value: 'value1' },
                        '01/08/2016'
                      ),
                      React.createElement(
                        'option',
                        { value: 'value2' },
                        '01/08/2016'
                      ),
                      React.createElement(
                        'option',
                        { value: 'value3' },
                        '01/08/2016'
                      )
                    ),
                    'to:',
                    React.createElement(
                      'select',
                      { name: 'select',
                        className: 'isv-profile__historic-data-input' },
                      React.createElement(
                        'option',
                        { value: 'value1' },
                        '05/09/2016'
                      ),
                      React.createElement(
                        'option',
                        { value: 'value2' },
                        '01/08/2016'
                      ),
                      React.createElement(
                        'option',
                        { value: 'value3' },
                        '01/08/2016'
                      )
                    )
                  ),
                  React.createElement(
                    'div',
                    { className: 'three-col' },
                    React.createElement(
                      'h3',
                      { className: 'isv-profile__box-title' },
                      'User this hour'
                    ),
                    React.createElement(
                      'p',
                      { className: 'isv-profile__box-stat' },
                      '1,034'
                    )
                  ),
                  React.createElement(
                    'div',
                    { className: 'three-col' },
                    React.createElement(
                      'h3',
                      { className: 'isv-profile__box-title' },
                      'Units this hour'
                    ),
                    React.createElement(
                      'p',
                      { className: 'isv-profile__box-stat' },
                      '1,176'
                    )
                  ),
                  React.createElement(
                    'div',
                    { className: 'three-col last-col align-right' },
                    React.createElement(
                      'h3',
                      { className: 'isv-profile__box-title' },
                      'Revenue'
                    ),
                    React.createElement(
                      'p',
                      { className: 'isv-profile__box-stat' },
                      '$500.00'
                    )
                  ),
                  React.createElement(juju.components.PlansUsage, {
                    d3: this.props.d3,
                    dataset: this.getDataSet() })
                )
              )
            )
          )
        )
      );
    }
  });
}, '', {
  requires: ['panel-component', 'plans-usage']
});