'use strict';var juju={components:{}};describe('DateDisplay',()=>{var a,b,c,d,e;beforeAll(f=>{YUI().use('date-display',()=>{f()})}),beforeEach(()=>{e=sinon.useFakeTimers(),a=new Date('Mon, 19 Jan 2020 21:07:24 GMT'),c=new Date(a.getTime()),d=jsTestUtils.shallowRender(React.createElement(juju.components.DateDisplay,{date:c}),!0),b=d.getMountedInstance(),sinon.stub(b,'_getNow').returns(a)}),afterEach(()=>{e.restore()}),it('can display a date in the correct format',()=>{var f=d.render(React.createElement(juju.components.DateDisplay,{date:c})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 21:07'},'19/01/2020');assert.deepEqual(f,g)}),it('can parse a date from a string',()=>{var f=d.render(React.createElement(juju.components.DateDisplay,{date:'Mon, 19 Jan 2020 21:07:24 GMT'})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 21:07'},'19/01/2020');assert.deepEqual(f,g)}),it('can display a relative date that is less than a minute ago',()=>{c.setSeconds(a.getSeconds()+10);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 21:07'},'just now');assert.deepEqual(f,g)}),it('can display a relative date that is a minute ago',()=>{c.setMinutes(a.getMinutes()-1);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 21:06'},'1 minute ago');assert.deepEqual(f,g)}),it('can display a relative date that is minutes ago',()=>{c.setMinutes(a.getMinutes()-19);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 20:48'},'19 minutes ago');assert.deepEqual(f,g)}),it('can display a relative date that is an hour ago',()=>{c.setHours(a.getHours()-1);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 20:07'},'1 hour ago');assert.deepEqual(f,g)}),it('can display a relative date that is hours ago',()=>{c.setHours(a.getHours()-11);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'19/01/2020',title:'19/01/2020 10:07'},'11 hours ago');assert.deepEqual(f,g)}),it('can display a relative date that is a day ago',()=>{c.setUTCDate(a.getUTCDate()-1);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'18/01/2020',title:'18/01/2020 21:07'},'1 day ago');assert.deepEqual(f,g)}),it('can display a relative date that is days ago',()=>{c.setUTCDate(a.getUTCDate()-6);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'13/01/2020',title:'13/01/2020 21:07'},'6 days ago');assert.deepEqual(f,g)}),it('can display a relative date that is a week ago',()=>{c.setUTCDate(a.getUTCDate()-8);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'11/01/2020',title:'11/01/2020 21:07'},'1 week ago');assert.deepEqual(f,g)}),it('can display a relative date that is weeks ago',()=>{c.setUTCDate(a.getUTCDate()-25);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'25/12/2019',title:'25/12/2019 21:07'},'3 weeks ago');assert.deepEqual(f,g)}),it('can display a relative date that is a month ago',()=>{c.setUTCDate(a.getUTCDate()-32);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'18/12/2019',title:'18/12/2019 21:07'},'1 month ago');assert.deepEqual(f,g)}),it('can display a relative date that is months ago',()=>{c.setUTCDate(a.getUTCDate()-100);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'11/10/2019',title:'11/10/2019 21:07'},'3 months ago');assert.deepEqual(f,g)}),it('can display a relative date as regular that is years ago',()=>{c.setUTCDate(a.getUTCDate()-450);var f=d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),g=React.createElement('time',{dateTime:'26/10/2018',title:'26/10/2018 21:07'},'26/10/2018');assert.deepEqual(f,g)}),it('does not set a timer if the date is not relative',()=>{d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!1}));var f=sinon.stub(b,'forceUpdate');b.componentDidMount(),e.tick(120000),assert.equal(f.callCount,0)}),it('updates relative dates every minute',()=>{d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0}));var f=sinon.stub(b,'forceUpdate');b.componentDidMount(),e.tick(120000),assert.equal(f.callCount,2)}),it('handles non-date strings passed in',()=>{var f=d.render(React.createElement(juju.components.DateDisplay,{date:'today',relative:!0})),g=React.createElement('span',null,'today');assert.deepEqual(f,g)}),it('clears the timer when it unmounts',()=>{d.render(React.createElement(juju.components.DateDisplay,{date:c,relative:!0})),b.componentDidMount(),assert.isNotNull(b.timer),b.componentWillUnmount(),assert.isNull(b.timer)})});