'use strict';var juju={components:{}},testUtils=React.addons.TestUtils;chai.config.includeStack=!0,chai.config.truncateThreshold=0,describe('Configuration',function(){var a;beforeAll(function(b){YUI().use('inspector-config',function(){b()})}),beforeEach(()=>{a={isReadOnly:sinon.stub().returns(!1)}}),it('renders binary and string config inputs',function(){var b={key:'option1key',type:'string'},c={key:'option2key',type:'boolean'},d='string body value',e=!0,f=sinon.stub(),g=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(){return{option1:b,option2:c}}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(h){return'id'===h?'abc123':{option1:d,option2:e}}},serviceRelations:[],setConfig:f,unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}));assert.deepEqual(g.props.children[0].props.children[4],[React.createElement(juju.components.StringConfig,{key:'Config-option1',ref:'Config-option1',option:b,config:d}),React.createElement(juju.components.BooleanConfig,{key:'Config-option2',ref:'Config-option2',label:'option2:',option:c,config:e})])}),it('renders message when no config available',function(){var b=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(){return null}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(c){return'id'===c?'abc123':{}}},serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}));assert.deepEqual(b.props.children[0].props.children[4],React.createElement('div',{className:'inspector-config--no-config'},'No configuration options.'))}),it('saves the config when save config is clicked',function(){var b={key:'option1key',type:'string'},c={key:'option2key',type:'boolean'},d=sinon.stub();d.withArgs('id').returns('cs:trusty/ghost'),d.withArgs('config').returns({option1:'string body value',option2:!0});var e=sinon.stub(),f=sinon.stub(),g=testUtils.renderIntoDocument(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:f,charm:{get:function(){return{option1:b,option2:c}}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:d},serviceRelations:[],setConfig:e,unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()})),h=ReactDOM.findDOMNode(g),i=h.querySelector('.string-config--value'),j=h.querySelector('.boolean-config--input');i.innerText='new value',testUtils.Simulate.input(i),testUtils.Simulate.change(j,{target:{checked:!1}});var k=h.querySelector('.button-row--count-2 .button--neutral');testUtils.Simulate.click(k),assert.equal(e.callCount,1);var l=e.args[0];assert.strictEqual(l.length,3),assert.equal(l[0],'cs:trusty/ghost'),assert.deepEqual(l[1],{option1:'new value',option2:!1}),assert.equal(f.callCount,1),assert.deepEqual(f.args[0][0],{sectionA:{component:'inspector',metadata:{id:'cs:trusty/ghost',activeComponent:void 0}}})}),it('can change the service name for ghost services',function(){var b={get:sinon.stub().returns({option1:{key:'option1key',type:'string'},option2:{key:'option2key',type:'boolean'}})},c=sinon.stub();c.withArgs('id').returns('abc123$'),c.withArgs('name').returns('servicename'),c.withArgs('config').returns({option1:'string body value',option2:!0});var d={get:c,set:sinon.stub()},e=sinon.stub(),f=sinon.stub().returns(null),g=testUtils.renderIntoDocument(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:b,getServiceByName:f,getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:d,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:e}));assert.equal(g.refs.ServiceName.props.config,'servicename');var h=ReactDOM.findDOMNode(g),i=h.querySelector('.string-config--value');i.innerText='newservicename',testUtils.Simulate.input(i);var j=h.querySelector('.button-row--count-2 .button--neutral');testUtils.Simulate.click(j),assert.equal(d.set.callCount,1),assert.deepEqual(d.set.args[0],['name','newservicename']),assert.equal(e.callCount,1),assert.equal(e.args[0][0],'abc123$'),assert.equal(f.callCount,1),assert.equal(f.args[0][0],'newservicename')}),it('allows you to modify the series of multi-series charms',function(){var b={key:'option1key',type:'string'},c=sinon.stub(),d=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(h){return'options'===h?{option1:b}:'series'===h?['precise','trusty']:void 0}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(h){return'id'===h?'abc123':'series'===h?'trusty':'pending'===h||{option1:'string body value'}}},serviceRelations:[],setConfig:c,unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),e=d.getRenderOutput(),f=d.getMountedInstance(),g=React.createElement('div',{className:'inspector-config__series-select'},React.createElement('span',null,'Choose Series'),React.createElement('select',{className:'inspector-config__select',disabled:!1,onChange:f._handleSeriesChange,title:void 0,value:'trusty'},[React.createElement('option',{key:'precise',value:'precise'},'precise'),React.createElement('option',{key:'trusty',value:'trusty'},'trusty')]),React.createElement('span',{className:'inspector-config__series-select-description'},'Choose the series to deploy. This cannot be changed once the application is deployed.'));assert.deepEqual(e.props.children[0].props.children[1],g)}),it('disables the series select if there are existing relations',function(){var b={key:'option1key',type:'string'},c=sinon.stub(),d=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(h){return'options'===h?{option1:b}:'series'===h?['precise','trusty']:void 0}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(h){return'id'===h?'abc123':'series'===h?'trusty':'pending'===h||{option1:'string body value'}}},serviceRelations:['one'],setConfig:c,unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),e=d.getRenderOutput(),f=d.getMountedInstance(),g=React.createElement('div',{className:'inspector-config__series-select'},React.createElement('span',null,'Choose Series'),React.createElement('select',{className:'inspector-config__select',disabled:!0,onChange:f._handleSeriesChange,title:'The series for this subordinate has been set to the application it is related to.',value:'trusty'},[React.createElement('option',{key:'precise',value:'precise'},'precise'),React.createElement('option',{key:'trusty',value:'trusty'},'trusty')]),React.createElement('span',{className:'inspector-config__series-select-description'},'Choose the series to deploy. This cannot be changed once the application is deployed.'));assert.deepEqual(e.props.children[0].props.children[1],g)}),it('does not allow you to change series if app is deployed',function(){var b={key:'option1key',type:'string'},c=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(d){return'options'===d?{option1:b}:'series'===d?['precise','trusty']:void 0}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(d){return'id'===d?'abc123':'series'===d?'trusty':'pending'!==d&&{option1:'string body value'}}},serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}));assert.deepEqual(c.props.children[0].props.children[1],void 0)}),it('can handle changing of series',function(){var b={key:'option1key',type:'string'},c={get:function(i){return'id'===i?'abc123':'series'===i?'trusty':'pending'!==i&&{option1:'string body value'}},set:sinon.stub()},d=sinon.stub().returns([{},{}]),e=sinon.stub(),f=sinon.stub(),g=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:e,changeState:f,charm:{get:function(i){return'options'===i?{option1:b}:'series'===i?['precise','trusty']:void 0}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:c,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:d,updateServiceUnitsDisplayname:sinon.stub()}),!0),h=g.getMountedInstance();h._handleSeriesChange({currentTarget:{value:'xenial'}}),assert.equal(c.set.callCount,1),assert.deepEqual(c.set.args[0],['series','xenial']),assert.equal(d.callCount,1),assert.equal(d.args[0][0],'abc123'),assert.equal(e.callCount,1),assert.equal(f.callCount,1),assert.deepEqual(f.args[0][0],{sectionB:{component:'machine',metadata:{}}})}),it('stops setting changes if service name already exists',function(){var b={get:sinon.stub().returns({option1:{key:'option1key',type:'string'},option2:{key:'option2key',type:'boolean'}})},c=sinon.stub();c.withArgs('id').returns('abc123$'),c.withArgs('name').returns('servicename'),c.withArgs('config').returns({option1:'string body value',option2:!0});var d={get:c,set:sinon.stub()},e=sinon.stub(),f=sinon.stub().returns(!0),g=sinon.stub(),h=testUtils.renderIntoDocument(React.createElement(juju.components.Configuration,{acl:a,addNotification:g,changeState:sinon.stub(),charm:b,getServiceByName:f,getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:d,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:e})),i=ReactDOM.findDOMNode(h),j=i.querySelector('.string-config--value');j.innerText='newservicename',testUtils.Simulate.input(j);var k=i.querySelector('.button-row--count-2 .button--neutral');testUtils.Simulate.click(k),assert.equal(g.callCount,1),assert.equal(d.set.callCount,0),assert.equal(e.callCount,0)}),it('not able to change the service name on deployed services',function(){var b={get:sinon.stub().returns({option1:{key:'option1key',type:'string'},option2:{key:'option2key',type:'boolean'}})},c=sinon.stub();c.withArgs('id').returns('abc123'),c.withArgs('name').returns('servicename'),c.withArgs('config').returns({option1:'string body value',option2:!0});var d={get:c,set:sinon.stub()},e=testUtils.renderIntoDocument(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:b,getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:d,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}));assert.equal(e.refs.ServiceName,void 0)}),it('can handle cancelling the changes',function(){var b={get:sinon.stub().returns('mysql')},c=sinon.stub(),d=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:c,charm:{get:function(){return null}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:b,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}));d.props.children[1].props.buttons[0].action(),assert.equal(c.callCount,1),assert.deepEqual(c.args[0][0],{sectionA:{component:'inspector',metadata:{id:'mysql',activeComponent:void 0}}})}),it('can open the file dialog when the button is clicked',function(){var b={get:sinon.stub().returns('mysql')},c=sinon.stub(),d=sinon.stub(),e=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:d,charm:{get:function(){return null}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:b,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),f=e.getMountedInstance();f.refs={file:{click:c}};var g=e.getRenderOutput(),h=g.props.children[0];h.props.children[3].props.children.props.buttons[0].action(),assert.equal(c.callCount,1)}),it('can get a YAML file when a file is selected',function(){var b={get:sinon.stub().returns('mysql')},c=sinon.stub(),d=sinon.stub(),e=sinon.stub(),f=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:e,charm:{get:function(){return null}},getServiceByName:sinon.stub(),getYAMLConfig:c,linkify:sinon.stub(),service:b,serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),g=f.getMountedInstance();g.refs={file:{files:['apache2.yaml']},'file-form':{reset:d}};var h=f.getRenderOutput();h.props.children[0].props.children[2].props.children.props.onChange(),assert.equal(c.callCount,1),assert.equal(c.args[0][0],'apache2.yaml'),assert.equal(c.args[0][1],g._applyConfig),assert.equal(d.callCount,1)}),it('can apply the uploaded config',function(){var b={key:'option1key',type:'string'},c={key:'option2key',type:'boolean'},d=sinon.stub();d.withArgs('name').returns('apache2'),d.withArgs('options').returns({option1:b,option2:c});var e=sinon.stub();e.withArgs('id').returns('apache2'),e.withArgs('config').returns({option1:'string body value',option2:!0});var f=sinon.stub().callsArgWith(1,{apache2:{option1:'my apache2',option2:!1}}),g=sinon.stub(),h=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:g,charm:{get:d},getServiceByName:sinon.stub(),getYAMLConfig:f,linkify:sinon.stub(),service:{get:e},serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),i=h.getMountedInstance();i.refs={file:{files:['apache2.yaml']},'file-form':{reset:sinon.stub()}};var j=h.getRenderOutput();j.props.children[0].props.children[2].props.children.props.onChange(),j=h.getRenderOutput(),assert.deepEqual(j.props.children[0].props.children[4],[React.createElement(juju.components.StringConfig,{key:'Config-option1',ref:'Config-option1',option:b,config:'my apache2'}),React.createElement(juju.components.BooleanConfig,{key:'Config-option2',ref:'Config-option2',label:'option2:',option:c,config:!1})])}),it('does not try to apply the config for the wrong charm',function(){var b=sinon.stub();b.withArgs('name').returns('apache2'),b.withArgs('options').returns({option1:{key:'option1key',type:'string'},option2:{key:'option2key',type:'boolean'}});var c=sinon.stub();c.withArgs('id').returns('apache2'),c.withArgs('config').returns({option1:'string body value',option2:!0});var d=sinon.stub().callsArgWith(1,{postgresql:{option1:'my apache2',option2:!1}}),e=sinon.stub(),f=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:e,charm:{get:b},getServiceByName:sinon.stub(),getYAMLConfig:d,linkify:sinon.stub(),service:{get:c},serviceRelations:[],setConfig:sinon.stub(),unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),g=f.getMountedInstance();g.refs={file:{files:['apache2.yaml']},'file-form':{reset:sinon.stub()}};var h=f.getRenderOutput();assert.deepEqual(g.state.serviceConfig,{option1:'string body value',option2:!0}),h.props.children[0].props.children[2].props.children.props.onChange(),h=f.getRenderOutput(),assert.deepEqual(g.state.serviceConfig,{option1:'string body value',option2:!0})}),it('can disable controls when read only',function(){a.isReadOnly=sinon.stub().returns(!0);var b={key:'option1key',type:'string'},c={key:'option2key',type:'boolean'},d='string body value',e=!0,f=sinon.stub(),g=jsTestUtils.shallowRender(React.createElement(juju.components.Configuration,{acl:a,addNotification:sinon.stub(),changeState:sinon.stub(),charm:{get:function(){return{option1:b,option2:c}}},getServiceByName:sinon.stub(),getYAMLConfig:sinon.stub(),linkify:sinon.stub(),service:{get:function(m){return'id'===m?'abc123$':'name'===m?'abc123$':{option1:d,option2:e}}},serviceRelations:[],setConfig:f,unplaceServiceUnits:sinon.stub(),updateServiceUnitsDisplayname:sinon.stub()}),!0),h=g.getMountedInstance(),i=g.getRenderOutput(),j=[{disabled:!0,title:'Import config file',action:h._openFileDialog}],k=[{disabled:!0,title:'Cancel',type:'base',action:h._showInspectorIndex},{disabled:!0,title:'Save changes',type:'neutral',action:h._saveConfig}],l=React.createElement('div',{className:'inspector-config'},React.createElement('div',{className:'inspector-config__fields'},React.createElement(juju.components.StringConfig,{disabled:!0,ref:'ServiceName',option:{key:'Application name',description:'Specify a custom application name. The application name cannot be changed once it has been deployed.'},config:'abc123$'}),void 0,React.createElement('form',{ref:'file-form'},React.createElement('input',{className:'hidden',disabled:!0,onChange:h._importConfig,ref:'file',type:'file'})),React.createElement('div',{className:'inspector-config__config-file'},React.createElement(juju.components.ButtonRow,{buttons:j})),[React.createElement(juju.components.StringConfig,{disabled:!0,key:'Config-option1',ref:'Config-option1',option:b,config:d}),React.createElement(juju.components.BooleanConfig,{disabled:!0,key:'Config-option2',ref:'Config-option2',option:c,label:'option2:',config:e})]),React.createElement(juju.components.ButtonRow,{buttons:k}));assert.deepEqual(i,l)})});