'use strict';var juju={components:{}};describe('ServiceOverview',function(){function a(e=0,f=0,g=0){return sinon.stub().returns({error:{size:e},pending:{size:f},uncommitted:{size:g}})}let b,c,d;beforeAll(function(e){YUI().use('service-overview',function(){e()})}),beforeEach(function(){b={isReadOnly:sinon.stub().returns(!1)},d={get:sinon.stub()},d.get.withArgs('units').returns({toArray:()=>[]}),d.get.withArgs('deleted').returns(!1),d.get.withArgs('pending').returns(!1),c={hasMetrics:sinon.stub().returns(!0),get:function(){return{toArray:function(){return[]}}}}}),it('does not request plans if charm does not have metrics',function(){const e=sinon.stub(),f=sinon.stub();f.withArgs('activePlan').throws('it should not fetch this if no metrics'),f.withArgs('name').throws('it should not fetch this if no metrics'),f.withArgs('plans').throws('it should not fetch this if no metrics'),f.withArgs('units').returns({toArray:sinon.stub().returns([])});const g={hasMetrics:sinon.stub().returns(!1),get:function(){return{toArray:function(){return[]}}}},h=sinon.stub(),i=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:g,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{setAttrs:e,get:f},serviceRelations:[1],showActivePlan:h}),!0),j=i.getMountedInstance();assert.equal(h.callCount,0),assert.equal(j.state.plans,null),assert.equal(j.state.activePlan,null)}),it('queries for active plans if none are stored on the charm',function(){const e=sinon.stub(),f=sinon.stub();f.withArgs('activePlan').returns(void 0),f.withArgs('name').returns('servicename'),f.withArgs('units').returns({toArray:sinon.stub().returns([])});const g=sinon.stub();g.withArgs('plans').returns(void 0);const h={get:g,hasMetrics:sinon.stub().returns(!0)},i='abc123',j=sinon.stub(),k=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:h,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!0,getUnitStatusCounts:a(),modelUUID:i,service:{set:e,get:f},serviceRelations:[1],showActivePlan:j}),!0),l=k.getMountedInstance();assert.equal(j.callCount,1,'showActivePlan not called'),assert.equal(j.args[0][0],i),assert.equal(j.args[0][1],'servicename');const m='active',n='plans';j.args[0][2](null,m,n),assert.equal(e.callCount,1,'setAttrs never called'),assert.deepEqual(e.args[0],['activePlan',m]),assert.equal(l.state.plans,n),assert.equal(l.state.activePlan,m)}),it('uses plans stored on a charm',function(){const e=sinon.stub(),f={active:'plan'},g=[{plan:'list'}],h=sinon.stub();h.withArgs('activePlan').returns(f),h.withArgs('name').throws('it should not request the service name'),h.withArgs('units').returns({toArray:sinon.stub().returns([])});const i=sinon.stub();i.withArgs('plans').returns(g);const j={get:i,hasMetrics:sinon.stub().returns(!0)},k=sinon.stub(),l=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:j,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!0,getUnitStatusCounts:a(),modelUUID:'abc123',service:{set:e,get:h},serviceRelations:[1],showActivePlan:k}),!0),m=l.getMountedInstance();assert.equal(k.callCount,0),assert.equal(m.state.plans,g),assert.equal(m.state.activePlan,f)}),it('does not make the plans request for Juju 1',function(){const e=sinon.stub(),f=sinon.stub();f.withArgs('activePlan').throws('it should not fetch this for Juju 1'),f.withArgs('name').throws('it should not fetch this for Juju 1'),f.withArgs('plans').throws('it should not fetch this for Juju 1'),f.withArgs('units').returns({toArray:sinon.stub().returns([])});const g=sinon.stub(),h=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{setAttrs:e,get:f},serviceRelations:[1],showActivePlan:g}),!0),i=h.getMountedInstance();assert.equal(g.callCount,0),assert.equal(i.state.plans,null),assert.equal(i.state.activePlan,null)}),it('shows the all units action',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[{},{}]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[0],React.createElement(juju.components.OverviewAction,{icon:'units',key:'Units',title:'Units',value:2,valueType:'all',linkAction:void 0,linkTitle:void 0,action:e.props.children[1].props.children[0].props.action}))}),it('shows the all units action even if there are no units',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[0],React.createElement(juju.components.OverviewAction,{icon:'units',key:'Units',title:'Units',value:0,valueType:'all',linkAction:void 0,linkTitle:void 0,action:e.props.children[1].props.children[0].props.action}))}),it('navigates to the unit list when All Units is clicked',function(){const e=sinon.stub();e.withArgs('units').returns({toArray:function(){return[{},{}]}}),e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!0);const f=sinon.stub(),g=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,clearState:sinon.stub(),charm:c,destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',changeState:f,service:{get:e},serviceRelations:[1],showActivePlan:sinon.stub()}));g.props.children[1].props.children[0].props.action({currentTarget:{getAttribute:function(){return'Units'}}}),assert.equal(f.callCount,1),assert.deepEqual(f.args[0][0],{sectionA:{component:'inspector',metadata:{id:'demo',activeComponent:'units',unitStatus:null}}})}),it('shows the uncommitted units action',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(0,0,2),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[{agent_state:'uncommitted'},{agent_state:'started'},{}]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[1],React.createElement(juju.components.OverviewAction,{key:'Uncommitted',title:'Uncommitted',value:2,icon:void 0,action:e.props.children[1].props.children[1].props.action,valueType:'uncommitted',linkAction:void 0,linkTitle:void 0}))}),it('shows the pending units action',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(0,1,0),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[{agent_state:'pending'}]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[1],React.createElement(juju.components.OverviewAction,{key:'Pending',title:'Pending',value:1,icon:void 0,action:e.props.children[1].props.children[1].props.action,valueType:'pending',linkAction:void 0,linkTitle:void 0}))}),it('shows the errors units action',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(1,0,0),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[{agent_state:'error'}]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[1],React.createElement(juju.components.OverviewAction,{key:'Errors',title:'Errors',value:1,icon:void 0,action:e.props.children[1].props.children[1].props.action,valueType:'error',linkAction:void 0,linkTitle:void 0}))}),it('shows the configure action',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:function(){return{toArray:function(){return[{agent_state:'error'}]}}}},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[1].props.children[1],React.createElement(juju.components.OverviewAction,{key:'Configure',title:'Configure',value:void 0,icon:'configure',action:e.props.children[1].props.children[1].props.action,valueType:void 0,linkAction:void 0,linkTitle:void 0}))}),it('shows the relations action if there are relations',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1,2,3],showActivePlan:sinon.stub()}));assert.deepEqual(f.props.children[1].props.children[2],React.createElement(juju.components.OverviewAction,{key:'Relations',title:'Relations',value:void 0,icon:'relations',action:f.props.children[1].props.children[2].props.action,valueType:void 0,linkAction:void 0,linkTitle:void 0}))}),it('shows the expose action if the service is committed',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!1),e.withArgs('exposed').returns(!0),e.withArgs('charm').returns('cs:demo'),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(f.props.children[1].props.children[3],React.createElement(juju.components.OverviewAction,{key:'Expose',title:'Expose',value:'On',icon:'exposed_16',action:f.props.children[1].props.children[3].props.action,valueType:void 0,linkAction:void 0,linkTitle:void 0})),assert.equal(f.props.children[1].props.children.length,6)}),it('shows the resources action',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!1),e.withArgs('exposed').returns(!0),e.withArgs('charm').returns('cs:demo'),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(f.props.children[1].props.children[4],React.createElement(juju.components.OverviewAction,{key:'Resources',title:'Resources',value:void 0,icon:'resources_16',action:f.props.children[1].props.children[4].props.action,valueType:void 0,linkAction:void 0,linkTitle:void 0}))}),it('does not show the resources action if there are none',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!1),e.withArgs('exposed').returns(!0),e.withArgs('charm').returns('cs:demo'),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=sinon.stub();f.withArgs('resources').returns(null);const g={get:f,hasMetrics:sinon.stub().returns(!0)},h=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:g,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.equal(h.props.children[1].props.children.length,5)}),it('shows the Change version action if the service is committed',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!1),e.withArgs('exposed').returns(!0),e.withArgs('charm').returns('cs:demo'),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1],showActivePlan:sinon.stub()}));assert.deepEqual(f.props.children[1].props.children[5],React.createElement(juju.components.OverviewAction,{key:'Change version',title:'Change version',linkAction:f.props.children[1].props.children[5].props.linkAction,linkTitle:'cs:demo',icon:'change-version',action:f.props.children[1].props.children[5].props.action,valueType:void 0,value:void 0})),assert.equal(f.props.children[1].props.children.length,6)}),it('shows the charm details if the version is clicked',function(){const e=sinon.stub(),f=sinon.stub();f.withArgs('id').returns('demo'),f.withArgs('pending').returns(!1),f.withArgs('exposed').returns(!0),f.withArgs('charm').returns('cs:demo'),f.withArgs('units').returns({toArray:sinon.stub().returns([])});const g=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,clearState:sinon.stub(),charm:c,destroyService:sinon.stub(),displayPlans:!1,changeState:e,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:f},serviceRelations:[1],showActivePlan:sinon.stub()}));g.props.children[1].props.children[5].props.linkAction(),assert.equal(e.callCount,1),assert.deepEqual(e.args[0][0],{sectionC:{component:'charmbrowser',metadata:{activeComponent:'entity-details',id:'demo'}}})}),it('does not show Change version if uncommitted',function(){const e=sinon.stub();e.withArgs('id').returns('demo'),e.withArgs('pending').returns(!0),e.withArgs('exposed').returns(!0),e.withArgs('units').returns({toArray:sinon.stub().returns([])});const f=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:{get:e},serviceRelations:[1,2,3],showActivePlan:sinon.stub()}));assert.equal(f.props.children[1].props.children.length,5)}),it('shows the plans action if there are plans',function(){const e=sinon.stub(),f=sinon.stub();f.withArgs('id').returns('demo'),f.withArgs('units').returns({toArray:sinon.stub().returns([])});const g=sinon.stub();g.withArgs('plans').returns([]),g.withArgs('resources').returns({resource:'one'}),f.withArgs('activePlan').returns([]);const h={get:g,hasMetrics:sinon.stub().returns(!0)},i=sinon.stub(),j=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:h,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!0,getUnitStatusCounts:a(),modelUUID:'abc123',service:{setAttrs:e,get:f},serviceRelations:[],showActivePlan:i}));assert.equal(i.callCount,0,'we are defining plans in the service, it should not call to fetch more'),assert.equal(j.props.children[1].props.children[6].props.title,'Plan')}),it('renders the delete button',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()})),f=[{disabled:!1,title:'Destroy',action:e.props.children[2].props.children.props.buttons[0].action}];assert.deepEqual(e.props.children[2].props.children,React.createElement(juju.components.ButtonRow,{buttons:f}))}),it('disables the delete button when read only',function(){b.isReadOnly=sinon.stub().returns(!0);const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),getUnitStatusCounts:a(),displayPlans:!1,modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()})),f=[{disabled:!0,title:'Destroy',action:e.props.children[2].props.children.props.buttons[0].action}];assert.deepEqual(e.props.children[2].props.children,React.createElement(juju.components.ButtonRow,{buttons:f}))}),it('hides the delete button when pending deletion',function(){d.get.withArgs('deleted').returns(!0);const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),getUnitStatusCounts:a(),displayPlans:!1,modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()}));assert.equal(e.props.children[2],void 0)}),it('renders the delete confirmation when pending deletion',function(){d.get.withArgs('deleted').returns(!0);const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[0],React.createElement(juju.components.InspectorConfirm,{message:'This application has been marked to be destroyed on next deployment.',open:!0,buttons:[]}))}),it('hides the confirmation when not deleted',function(){const e=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,changeState:sinon.stub(),charm:c,clearState:sinon.stub(),destroyService:sinon.stub(),getUnitStatusCounts:a(),displayPlans:!1,modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()}));assert.deepEqual(e.props.children[0],React.createElement(juju.components.InspectorConfirm,{message:'This application has been marked to be destroyed on next deployment.',open:!1,buttons:[]}))}),it('calls the destroy service method if destroy is clicked',function(){const e=sinon.stub(),f=sinon.stub(),g=sinon.stub(),h=jsTestUtils.shallowRender(React.createElement(juju.components.ServiceOverview,{acl:b,charm:c,destroyService:f,clearState:e,changeState:g,displayPlans:!1,getUnitStatusCounts:a(),modelUUID:'abc123',service:d,serviceRelations:[],showActivePlan:sinon.stub()}));h.props.children[2].props.children.props.buttons[0].action(),assert.equal(f.callCount,1)})});