'use strict';describe('jujulib charmstore',function(){var a;beforeEach(function(){var b={sendGetRequest:sinon.stub()};a=new window.jujulib.charmstore('local/',b)}),afterEach(function(){a=null}),it('can be instantiated with the proper config values',function(){assert.strictEqual(a.url,'local/v5')}),it('is smart enough to handle missing trailing slash in URL',function(){a=new window.jujulib.charmstore('http://example.com',{}),assert.strictEqual(a.url,'http://example.com/v5')}),describe('_generatePath',function(){it('generates a valid url using provided args',function(){var b=a._generatePath('search/','text=foo');assert.equal(b,'local/v5/search/?text=foo')})}),describe('getLogoutUrl',function(){it('returns a valid logout url',function(){var b=a.getLogoutUrl();assert.equal(b,'local/v5/logout')})}),describe('_transformQueryResults',function(){var b={Results:[{entityType:'charm',id:'cs:precise/foo',Id:'cs:precise/foo',Meta:{'extra-info':{'bzr-owner':''}}},{entityType:'charm',id:'cs:~charmers/precise/foo',Id:'cs:~charmers/precise/foo',Meta:{'extra-info':{'bzr-owner':'charmers'}}},{entityType:'charm',id:'cs:~juju-gui-charmers/precise/foo',Id:'cs:~juju-gui-charmers/precise/foo',Meta:{'extra-info':{'bzr-owner':'juju-gui-charmers'}}},{entityType:'bundle',id:'cs:bundle/foo',Id:'cs:bundle/foo',Meta:{'extra-info':{'bzr-owner':''}}}]},c;beforeEach(function(){c=sinon.stub()}),afterEach(function(){assert.equal(c.callCount,1)}),it('calls to process query response data for each record',function(){var d=sinon.stub(a,'_processEntityQueryData');a._transformQueryResults(c,null,b),assert.equal(d.callCount,4)}),it('can use a processing function to massage data',function(){a._processEntityQueryData=function(e){return e},a.processEntity=function(e){return'charm'===e.entityType?'It\'s a charm.':'It\'s a bundle.'},a._transformQueryResults(c,null,b);var d=c.lastCall.args[1];assert.equal(d[0],'It\'s a charm.'),assert.equal(d[1],'It\'s a charm.'),assert.equal(d[2],'It\'s a charm.'),assert.equal(d[3],'It\'s a bundle.')})}),describe('_lowerCaseKeys',function(){it('can recursively transform an objects keys to lowercase',function(){var b={};a._lowerCaseKeys({Baz:'1',Foo:{Bar:{Baz:'1'}}},b),assert.deepEqual(b,{baz:'1',foo:{bar:{baz:'1'}}})}),it('can skip one level of keys in an object',function(){var b={};a._lowerCaseKeys({Baz:'1',Foo:{Bar:{Baz:'1'}},Fee:'2'},b,0),assert.deepEqual(b,{Baz:'1',Foo:{bar:{baz:'1'}},Fee:'2'})})}),describe('_processEntityQueryData',function(){it('can properly transform v5 charm data',function(){var b=a._processEntityQueryData({Id:'cs:trusty/mongodb-9',Meta:{'charm-metadata':{Name:'mongodb',Provides:{db:{Name:'db',Role:'requirer',Interface:'mongo',Optional:!1,Limit:1,Scope:'global'}}},owner:{User:'hatch'},'extra-info':{'bzr-revisions':5,'bzr-url':'cs:precise/mongodb'},'charm-config':{Options:{'foo-optn':{Default:'foo',Description:'foo is awesome',Type:'String'},barOptn:{Default:'bar',Description:'bar is less awesome',Type:'String'}}},'charm-metrics':{Metrics:{metric:'metric'}},stats:{ArchiveDownloadCount:10},'supported-series':{SupportedSeries:['precise','trusty']}}});assert.deepEqual(b,{id:'cs:trusty/mongodb-9',downloads:10,entityType:'charm',is_approved:!0,is_subordinate:!1,metrics:{metric:'metric'},owner:'hatch',revisions:5,code_source:{location:'cs:precise/mongodb'},name:'mongodb',relations:{provides:{db:{name:'db',role:'requirer','interface':'mongo',optional:!1,limit:1,scope:'global'}},requires:{}},options:{'foo-optn':{'default':'foo',description:'foo is awesome',type:'String'},barOptn:{'default':'bar',description:'bar is less awesome',type:'String'}},series:['precise','trusty']})}),it('handles missing extra-info data',function(){var b=a._processEntityQueryData({Id:'cs:trusty/mongodb-9',Meta:{'charm-metadata':{Name:'mongodb',Provides:{}},'extra-info':{},'charm-config':{Options:{}},stats:{ArchiveDownloadCount:42}}});assert.strictEqual(b.owner,void 0),assert.strictEqual(b.code_source.location,void 0),assert.deepEqual(b.revisions,[])}),it('can properly transform v4 bundle data',function(){var b=a._processEntityQueryData({Id:'cs:~charmers/bundle/mongodb-cluster-4',Meta:{'bundle-metadata':{Services:''},'bundle-unit-count':{Count:7},owner:{User:'hatch'},'extra-info':{'bzr-revisions':5,'bzr-url':'lp:~charmers/charms/bundles/mongodb-cluster/bundle'},stats:{ArchiveDownloadCount:10}}});assert.deepEqual(b,{code_source:{location:'lp:~charmers/charms/bundles/mongodb-cluster/bundle'},deployerFileUrl:'local/v5/~charmers/bundle/mongodb-cluster-4/archive/bundle.yaml',downloads:10,entityType:'bundle',id:'cs:~charmers/bundle/mongodb-cluster-4',is_approved:!1,name:'mongodb-cluster',owner:'hatch',revisions:5,services:'',unitCount:7})})}),describe('search',function(){var b;beforeEach(function(){b=sinon.stub(a,'_generatePath').returns('path')}),it('accepts custom filters & calls to generate an api path',function(){a.search({text:'foo'}),assert.equal(b.callCount,1,'generatePath not called'),assert.deepEqual(b.lastCall.args,['search','text=foo&limit=30&autocomplete=1&include=charm-metadata&include=charm-config&include=supported-series&include=bundle-metadata&include=extra-info&include=tags&include=owner&include=stats'])}),it('accepts a custom limit when generating an api path',function(){a.search({text:'foo'},null,99),assert.equal(b.callCount,1,'generatePath not called'),assert.deepEqual(b.lastCall.args,['search','text=foo&limit=99&autocomplete=1&include=charm-metadata&include=charm-config&include=supported-series&include=bundle-metadata&include=extra-info&include=tags&include=owner&include=stats'])}),it('calls to make a valid charmstore request',function(){var c=sinon.stub(a,'_transformQueryResults');a.search({},'cb'),assert.equal(a.bakery.sendGetRequest.callCount,1,'sendGetRequest not called');var d=a.bakery.sendGetRequest.lastCall.args,e=d[1];assert.equal(d[0],'path'),e({target:{responseText:'{}'}}),assert.equal(c.lastCall.args[0],'cb')})}),describe('list',function(){var b;beforeEach(function(){b=sinon.stub(a,'_generatePath').returns('path')}),it('accepts an author & calls to generate an api path',function(){a.list('test-author','cb'),assert.equal(b.callCount,1,'generatePath not called'),assert.deepEqual(b.lastCall.args,['list','owner=test-author&type=charm&include=charm-metadata&include=bundle-metadata&include=bundle-unit-count&include=extra-info&include=supported-series&include=stats'])}),it('can list bundles',function(){a.list('test-author','cb','bundle');var c=b.lastCall.args[1];assert.equal(-1<c.indexOf('type=bundle'),!0,'bundle not set in query string')}),it('calls to make a valid charmstore request',function(){var c=sinon.stub(a,'_transformQueryResults');a.list('test-author','cb'),assert.equal(a.bakery.sendGetRequest.callCount,1,'sendGetRequest not called');var d=a.bakery.sendGetRequest.lastCall.args,e=d[1];assert.equal(d[0],'path'),e({target:{responseText:'{}'}}),assert.equal(c.lastCall.args[0],'cb')})}),describe('getDiagramURL',function(){it('can generate a URL for a bundle diagram',function(){assert.equal(a.getDiagramURL('apache2'),'local/v5/apache2/diagram.svg')})}),describe('getBundleYAML',function(){var b;beforeEach(function(){b=sinon.stub()}),it('calls to get the bundle entity',function(){var c=sinon.stub(a,'getEntity'),d=sinon.stub(a,'_getBundleYAMLResponse'),e='bundle/elasticsearch';a.getBundleYAML(e,b);var f=c.lastCall.args;assert.equal(c.callCount,1),assert.equal(f[0],e),f[1]();var g=d.lastCall.args;g[0](),assert.equal(b.callCount,1)}),it('_getBundleYAMLResponse fetches yaml file contents',function(){a._getBundleYAMLResponse(b,null,[{deployerFileUrl:'deployer file'}]);var c=a.bakery.sendGetRequest.lastCall.args;assert.equal(c[0],'deployer file'),c[1]({target:{responseText:'yaml'}}),assert.equal(b.callCount,1),assert.equal(b.lastCall.args[1],'yaml')})}),describe('getAvailableVersions',function(){it('makes a request to fetch the ids',function(){a.getAvailableVersions('cs:precise/ghost-5'),assert.equal(a.bakery.sendGetRequest.callCount,1)}),it('calls the success handler with a list of charm ids',function(b){a.getAvailableVersions('cs:precise/ghost-5',function(d,e){d&&assert.fail('callback should not fail.'),assert.deepEqual(e,['cs:precise/ghost-4']),b()});var c=a.bakery.sendGetRequest.lastCall.args;assert.equal(c[0],'local/v5/precise/ghost-5/expand-id'),c[1]({target:{responseText:'[{"Id": "cs:precise/ghost-4"}]'}})}),it('calls the failure handler for json parse failures',function(b){a.getAvailableVersions('cs:precise/ghost-5',function(c,d){c?b():assert.fail('callback should not succeed.')}),a.bakery.sendGetRequest.lastCall.args[1]({target:{responseText:'[notvalidjson]'}})})}),describe('whoami',function(){it('queries who the current user is',function(){a.whoami(),assert.equal(a.bakery.sendGetRequest.callCount,1)}),it('calls the success handler with an auth object',function(b){a.whoami(function(d,e){d&&assert.fail('callback should not fail.'),assert.deepEqual(e,{user:'test',groups:[]}),b()});var c=a.bakery.sendGetRequest.lastCall.args;assert.equal(c[0],'local/v5/whoami'),assert.strictEqual(c[3],!1),c[1]({target:{responseText:'{"User": "test", "Groups": []}'}})}),it('calls the failure handler for json parse failures',function(b){a.whoami(function(c,d){c?b():assert.fail('callback should not succeed.')}),a.bakery.sendGetRequest.lastCall.args[1]({target:{responseText:'[notvalidjson]'}})})}),describe('getCanonicalId',function(){it('makes a request to fetch the canonical id for an entity',function(){const b=sinon.stub();a.getCanonicalId('cs:xenial/ghost-4',b);const c=a.bakery.sendGetRequest;assert.equal(c.callCount,1);const d=c.args[0][0];assert.equal(d,'local/v5/xenial/ghost-4/meta/id'),c.args[0][1]({target:{responseText:'{"Id": "cs:ghost"}'}}),assert.equal(b.callCount,1),assert.deepEqual(b.args[0],[null,'cs:ghost'])}),it('properly calls the callback when there is an error',function(){const b=sinon.stub();a.getCanonicalId('cs:xenial/ghost-4',b);const c=a.bakery.sendGetRequest;assert.equal(c.callCount,1);const d=c.args[0][0];assert.equal(d,'local/v5/xenial/ghost-4/meta/id'),c.args[0][2]('not found'),assert.equal(b.callCount,1),assert.deepEqual(b.args[0],['not found',null])})}),describe('getEntity',function(){it('strips cs from bundle IDs',function(){a.getEntity('cs:foobar',sinon.stub());var b=a.bakery.sendGetRequest.lastCall.args[0];assert.equal(b.indexOf('cs:'),-1,'The string "cs:" should not be found in the path')}),it('calls the correct path',function(){a.getEntity('cs:foobar',sinon.stub());var b=a.bakery.sendGetRequest.lastCall.args[0];assert.equal(b,'local/v5/foobar/meta/any?include=bundle-metadata&include=charm-metadata&include=charm-config&include=manifest&include=stats&include=extra-info&include=tags&include=charm-metrics&include=owner&include=resources&include=supported-series')})}),describe('getResources',function(){it('can get resources for a charm',function(){const b=sinon.stub();a.getResources('cs:xenial/ghost-4',b);const c=a.bakery.sendGetRequest;assert.equal(c.callCount,1);const d=c.args[0][0];assert.equal(d,'local/v5/xenial/ghost-4/meta/resources'),c.args[0][1]({target:{responseText:'[{"Name":"file1","Type":"file","Path":"file1.zip","Description":"desc.","Revision":5,"Fingerprint":"123","Size":168},{"Name":"file2","Type":"file","Path":"file2.zip","Description":"desc.","Revision":5,"Fingerprint":"123","Size":168}]'}}),assert.equal(b.callCount,1),assert.deepEqual(b.args[0],[null,[{name:'file1',type:'file',path:'file1.zip',description:'desc.',revision:5,fingerprint:'123',size:168},{name:'file2',type:'file',path:'file2.zip',description:'desc.',revision:5,fingerprint:'123',size:168}]])}),it('properly calls the callback when there is an error',function(){const b=sinon.stub();a.getResources('cs:xenial/ghost-4',b);const c=a.bakery.sendGetRequest;assert.equal(c.callCount,1);const d=c.args[0][0];assert.equal(d,'local/v5/xenial/ghost-4/meta/resources'),c.args[0][2]('not found'),assert.equal(b.callCount,1),assert.deepEqual(b.args[0],['not found',{error:'not found'}])})})});