'use strict';chai.config.includeStack=!0,chai.config.truncateThreshold=0,describe('jujulib plans service',function(){var a=function(b){return{target:{responseText:JSON.stringify(b)}}};it('exists',function(){var b=new window.jujulib.plans('http://1.2.3.4/',{});assert.strictEqual(b instanceof window.jujulib.plans,!0),assert.strictEqual(b.url,'http://1.2.3.4/'+window.jujulib.plansAPIVersion)}),it('is smart enough to handle missing trailing slash in URL',function(){var b=new window.jujulib.plans('http://1.2.3.4',{});assert.strictEqual(b.url,'http://1.2.3.4/'+window.jujulib.plansAPIVersion)}),it('lists plans for a charm',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/charm?charm-url=cs:juju-gui-42');var g=a([{url:'canonical-landscape/24-7',plan:'1','created-on':'2016-06-09T22:07:24Z',description:'Delivers the highest level of support.',price:'the/price'},{url:'canonical-landscape/8-5',plan:'B','created-on':'2016-06-09T22:07:24Z',description:'Offers a high level of support.',price:'the/price'},{url:'canonical-landscape/free',plan:'9 from outer space','created-on':'2015-06-09T22:07:24Z',description:'No support available.',price:'Free'}]);e(g)}});c.listPlansForCharm('cs:juju-gui-42',function(d,e){assert.isNull(d),assert.deepEqual(e,[{url:'canonical-landscape/24-7',yaml:'1',createdAt:new Date(1465510044000),description:'Delivers the highest level of support.',price:'the/price'},{url:'canonical-landscape/8-5',yaml:'B',createdAt:new Date(1465510044000),description:'Offers a high level of support.',price:'the/price'},{url:'canonical-landscape/free',yaml:'9 from outer space',createdAt:new Date(1433887644000),description:'No support available.',price:'Free'}]),b()})}),it('adds the charm schema prefix when listing plans',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/charm?charm-url=cs:django');var g=a([]);e(g)}});c.listPlansForCharm('django',function(d,e){assert.isNull(d),b()})}),it('handles missing plans',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){var g=a([]);e(g)}});c.listPlansForCharm('cs:juju-gui/42',function(d,e){assert.isNull(d),assert.deepEqual(e,[]),b()})}),it('handles errors listing plans',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){var g=a({error:'bad wolf'});f(g)}});c.listPlansForCharm('django',function(d,e){assert.equal(d,'bad wolf'),assert.isNull(e),b()})}),it('retrieves the active plan for a given model and app',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/plan/model/uuid/service/app-name');var g=a({'current-plan':'canonical-landscape/free','available-plans':{'canonical-landscape/8-5':{url:'canonical-landscape/8-5',plan:'B','created-on':'2016-06-09T22:07:24Z',description:'Offers a high level of support.',price:'the/price'},'canonical-landscape/free':{url:'canonical-landscape/free',plan:'9 from outer space','created-on':'2015-06-09T22:07:24Z',description:'No support available.',price:'Free'}}});e(g)}});c.showActivePlan('uuid','app-name',function(d,e,f){assert.isNull(d),assert.deepEqual(e,{url:'canonical-landscape/free',yaml:'9 from outer space',createdAt:new Date(1433887644000),description:'No support available.',price:'Free'}),assert.deepEqual(f,[{url:'canonical-landscape/8-5',yaml:'B',createdAt:new Date(1465510044000),description:'Offers a high level of support.',price:'the/price'},{url:'canonical-landscape/free',yaml:'9 from outer space',createdAt:new Date(1433887644000),description:'No support available.',price:'Free'}]),b()})}),it('handles errors retrieving the currently active plan',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){var g=a({error:'bad wolf'});f(g)}});c.showActivePlan('uuid','app-name',function(d,e,f){assert.equal(d,'bad wolf'),assert.isNull(e),assert.deepEqual(f,[]),b()})}),it('handles authorizing a plan',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/plan/authorize');var h=a({'look ma':'I\'m a macaroon',params:e});f(h)}});c.authorizePlan('envUUID','charmUrl','applicationName','planUrl','budget','limit',function(d,e){assert.isNull(d),assert.equal(e['look ma'],'I\'m a macaroon'),assert.equal(e.params,'{"env-uuid":"envUUID","charm-url":"charmUrl","service-name":"applicationName","plan-url":"planUrl","budget":"budget","limit":"limit"}'),b()})}),it('lists budgets',function(b){var c={budgets:[{owner:'spinach',budget:'my-budget',limit:99,allocated:77,unallocated:22,available:22,consumed:55}],total:{limit:999,allocated:777,unallocated:222,consumed:55,available:22}},d=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(e,f,g){assert.equal(e,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget');var h=a(c);f(h)}});d.listBudgets(function(e,f){assert.isNull(e),assert.deepEqual(f,c),b()})}),it('handles errors listing budgets',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){var g=a({error:'bad wolf'});f(g)}});c.listBudgets(function(d,e){assert.equal(d,'bad wolf'),assert.isNull(e),b()})}),it('handles adding a budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget');var h=a({auth:'I\'m a macaroon',params:e});f(h)}});c.createBudget('budget','limit',function(d,e){assert.isNull(d),assert.equal(e.auth,'I\'m a macaroon'),assert.equal(e.params,'{"budget":"budget","limit":"limit"}'),b()})}),it('handles errors when adding a budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget');var h=a({error:'bad wolf'});f(h)}});c.createBudget('budget','limit',function(d,e){assert.equal(d,'bad wolf'),b()})}),it('requests to update a budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPatchRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget/budgetid'),assert.equal(e,'{"limit":"limit"}');var h=a({data:'data'});f(h)}});c.updateBudget('budgetid','limit',function(d,e){assert.strictEqual(d,null),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to remove a budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendDeleteRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget/budgetid');var h=a({data:'data'});f(h)}});c.removeBudget('budgetid',function(d,e){assert.strictEqual(d,void 0),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to create an allocation',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget/budgetid/allocation'),assert.deepEqual(e,'{"services":["application"],"model":"model","limit":"limit"}');var h=a({data:'data'});f(h)}});c.createAllocation('budgetid','application','model','limit',function(d,e){assert.strictEqual(d,null),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to update allocations',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPatchRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/model/model/service/application/allocation'),assert.deepEqual(e,'{"limit":"limit"}');var h=a({data:'data'});f(h)}});c.updateAllocation('model','application','limit',function(d,e){assert.strictEqual(d,null),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to remove allocations',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendDeleteRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/environment/model/service/application/allocation');var h=a({data:'data'});f(h)}});c.removeAllocation('application','model',function(d,e){assert.strictEqual(d,void 0),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to update credit limits',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPatchRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/profile/user'),assert.deepEqual(e,'{"update":{"limit":"limit"}}');var h=a({data:'data'});f(h)}});c.updateCreditLimit('user','limit',function(d,e){assert.strictEqual(d,null),assert.deepEqual(e,{data:'data'}),b()})}),it('requests to update default budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPatchRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/profile'),assert.deepEqual(e,'{"update":{"default-budget":"defaultBudget"}}');var h=a({data:'data'});f(h)}});c.updateDefaultBudget('defaultBudget',function(d,e){assert.strictEqual(d,null),assert.deepEqual(e,{data:'data'}),b()})}),it('gets budget details',function(b){var c={limit:'budget limit',total:{allocated:'total allocated amount',available:'unconsumed amount',unallocated:'unallocated amount',usage:'percentage of budget consumed',consumed:'total consumed amount'},allocations:[{owner:'user, creator of allocation',consumed:'amount consumed',limit:'allocation limit',usage:'consumed/limit',model:'model uuid',services:{'service name':{consumed:'consumed',usage:'consumed/allocation limit'}}}]},d=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(e,f,g){assert.equal(e,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/budget/my-budget');var h=a(c);f(h)}});d.showBudget('my-budget',function(e,f){assert.isNull(e),assert.deepEqual(f,c),b()})}),it('handles errors listing budgets',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendGetRequest:function(d,e,f){var g=a({error:'bad wolf'});f(g)}});c.showBudget('my-budget',function(d,e){assert.equal(d,'bad wolf'),assert.isNull(e),b()})}),it('handles adding a profile',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/profile');var h=a({auth:'I\'m a macaroon',response:'profile saved'});f(h)}});c.createProfile('user','limit','default-budget','default-budget-limit',function(d,e){assert.isNull(d),assert.equal(e.auth,'I\'m a macaroon'),assert.equal(e.response,'profile saved'),b()})}),it('handles errors when adding a budget',function(b){var c=new window.jujulib.plans('http://1.2.3.4/',{sendPostRequest:function(d,e,f,g){assert.equal(d,'http://1.2.3.4/'+window.jujulib.plansAPIVersion+'/profile');var h=a({error:'bad wolf'});f(h)}});c.createProfile('user','limit','default-budget','default-budget-limit',function(d,e){assert.equal(d,'bad wolf'),b()})})});