'use strict';chai.config.includeStack=!0,chai.config.truncateThreshold=0,describe('jujulib urls',()=>{const a=window.jujulib.URL,b=[{url:new a({name:'django'}),path:'django'},{url:new a({name:'django',user:'who'}),path:'u/who/django'},{url:new a({name:'django',user:'dalek',series:'xenial'}),path:'u/dalek/django/xenial'},{url:new a({name:'haproxy',schema:'local',revision:47}),path:'haproxy/47'},{url:new a({name:'haproxy',series:'xenial'}),path:'haproxy/xenial'},{url:new a({name:'mediawiki-scalable',revision:0}),path:'mediawiki-scalable/0'},{url:new a({name:'haproxy',user:'dalek',series:'trusty',revision:42}),path:'u/dalek/haproxy/trusty/42'},{url:new a({name:'mediawiki-scalable',schema:'cs',user:'cyberman',series:'bundle',revision:0}),path:'u/cyberman/mediawiki-scalable/bundle/0'}],c=[{url:new a({name:'django'}),path:'django'},{url:new a({name:'django',user:'who'}),path:'~who/django'},{url:new a({name:'django',user:'dalek',series:'xenial'}),path:'~dalek/xenial/django'},{url:new a({name:'haproxy',schema:'local',revision:47}),path:'haproxy-47'},{url:new a({name:'haproxy',series:'xenial'}),path:'xenial/haproxy'},{url:new a({name:'mediawiki-scalable',revision:0}),path:'mediawiki-scalable-0'},{url:new a({name:'haproxy',user:'dalek',series:'trusty',revision:42}),path:'~dalek/trusty/haproxy-42'},{url:new a({name:'mediawiki-scalable',schema:'cs',user:'cyberman',series:'bundle',revision:0}),path:'~cyberman/bundle/mediawiki-scalable-0'}],d=(e,f,g)=>{const h=g?`${g}: `:'';assert.strictEqual(e.name,f.name,h+'name'),assert.strictEqual(e.schema,f.schema||'cs',h+'schema'),assert.strictEqual(e.user,f.user||'',h+'user'),assert.strictEqual(e.series,f.series||'',h+'series');let i=f.revision;i||0===i||(i=null),assert.strictEqual(e.revision,i,h+'revision')};describe('initializer',()=>{it('returns a URL from its parts',()=>{const e=new a({name:'django'});d(e,{name:'django'})}),it('returns a URL from its parts (all parts defined)',()=>{const e={name:'haproxy',schema:'cs',user:'dalek',series:'xenial',revision:42},f=new a(e);d(f,e)}),it('fails for validation problems',()=>{[{parts:{},err:'charm/bundle name required but not provided'},{parts:{name:42},err:'charm/bundle name is not a string: "42"'},{parts:{name:'2'},err:'invalid charm/bundle name: "2"'},{parts:{name:'django',schema:47},err:'schema is not a string: "47"'},{parts:{name:'django',schema:'exterminate'},err:'unrecognized schema: "exterminate"'},{parts:{name:'django',user:{}},err:'user is not a string: "[object Object]"'},{parts:{name:'django',user:'@'},err:'invalid user: "@"'},{parts:{name:'django',series:'bad-wolf'},err:'invalid series: "bad-wolf"'},{parts:{name:'django',revision:'bad-wolf'},err:'invalid revision: "bad-wolf"'},{parts:{name:'django',revision:-1},err:'revision is not a positive number: "-1"'}].forEach(e=>{assert.throws(()=>new a(e.parts),e.err)})})}),describe('prototype',()=>{it('returns the URL path',()=>{b.forEach(e=>{assert.strictEqual(e.url.path(),e.path)})}),it('returns the URL legacy path',()=>{c.forEach(e=>{assert.strictEqual(e.url.legacyPath(),e.path)})}),it('returns the URL as a string',()=>{b.forEach(e=>{assert.strictEqual(e.url.toString(),`${e.url.schema}:${e.path}`)})}),it('returns the legacy URL as a string',()=>{c.forEach(e=>{assert.strictEqual(e.url.toLegacyString(),`${e.url.schema}:${e.path}`)})}),it('copies a URL',()=>{const e=new a({name:'haproxy',schema:'cs',user:'dalek',series:'xenial',revision:42}),f=e.copy();assert.deepEqual(f,e,'initial'),f.name='apache',f.revision=47,assert.notDeepEqual(f,e,'after change'),assert.strictEqual(e.name,'haproxy','name'),assert.strictEqual(e.revision,42,'revision')}),it('checks whether a URL refers to a bundle',()=>{const e=new a({name:'django',series:'bundle'});assert.strictEqual(e.isBundle(),!0,'bundle'),e.series='xenial',assert.strictEqual(e.isBundle(),!1,'xenial'),e.series='',assert.strictEqual(e.isBundle(),!1,'empty')}),it('checks whether a URL refers to a local charm or bundle',()=>{const e=new a({name:'django'});assert.strictEqual(e.isLocal(),!1,'empty'),e.schema='cs',assert.strictEqual(e.isLocal(),!1,'cs'),e.schema='local',assert.strictEqual(e.isLocal(),!0,'local')})}),describe('fromString',()=>{it('creates the URL from a string',()=>{b.forEach(e=>{let f=e.url.toString(),g=a.fromString(f);d(g,e.url,f),e.url.isLocal()||(f=e.url.path(),g=a.fromString(f),d(g,e.url,f),f='/'+f,g=a.fromString(f),d(g,e.url,f))})}),it('raises errors if the string is not a valid URL',()=>{[{str:'',err:'invalid URL: ""'},{str:42,err:'invalid URL: "42"'},{str:'2',err:'invalid charm/bundle name: "2"'},{str:'bad:django',err:'unrecognized schema: "bad"'},{str:'/u/{}/django',err:'invalid user: "{}"'},{str:'u/who',err:'charm/bundle name required but not provided'},{str:'cs:u/who/#',err:'invalid charm/bundle name: "#"'},{str:'local:django:bad',err:'invalid charm/bundle name: "django:bad"'},{str:'haproxy^bad',err:'invalid charm/bundle name: "haproxy^bad"'},{str:'u/my#user/wordpress',err:'invalid user: "my#user"'},{str:'/u/dalek/django/xenial/42/bad-wolf',err:'URL includes too many parts: u/dalek/django/xenial/42/bad-wolf'},{str:'django/bundle/0/1',err:'URL includes too many parts: django/bundle/0/1'},{str:'/django bundle',err:'URL contains spaces: "/django bundle"'},{str:'/django/u/who',err:'invalid series: "u"'},{str:'django/bad-wolf',err:'invalid series: "bad-wolf"'},{str:'django/bundle/bad-wolf',err:'invalid revision: "bad-wolf"'},{str:'haproxy/xenial/-1',err:'revision is not a positive number: "-1"'}].forEach(e=>{assert.throws(()=>a.fromString(e.str),e.err)})})}),describe('fromLegacyString',()=>{it('creates the URL from a legacy string',()=>{c.forEach(e=>{let f=e.url.toLegacyString(),g=a.fromLegacyString(f);d(g,e.url,f),e.url.isLocal()||(f=e.url.legacyPath(),g=a.fromLegacyString(f),d(g,e.url,f))})}),it('raises errors if the legacy string is not a valid URL',()=>{[{str:'',err:'invalid URL: ""'},{str:42,err:'invalid URL: "42"'},{str:'2',err:'invalid charm/bundle name: "2"'},{str:'bad:django',err:'unrecognized schema: "bad"'},{str:'~{}/django',err:'invalid user: "{}"'},{str:'~who',err:'charm/bundle name required but not provided'},{str:'cs:~who/#',err:'invalid charm/bundle name: "#"'},{str:'local:django:bad',err:'invalid charm/bundle name: "django:bad"'},{str:'haproxy^bad',err:'invalid charm/bundle name: "haproxy^bad"'},{str:'~my#user/wordpress',err:'invalid user: "my#user"'},{str:'~dalek/xenial/django-42/bad-wolf',err:'URL includes too many parts: ~dalek/xenial/django-42/bad-wolf'},{str:'bundle/django-0/1',err:'URL includes too many parts: bundle/django-0/1'},{str:'bundle django',err:'URL contains spaces: "bundle django"'},{str:'/django/~who',err:'invalid charm/bundle name: "~who"'},{str:'django-2-bad-wolf',err:'invalid charm/bundle name: "django-2-bad-wolf"'},{str:'xenial/haproxy--1',err:'invalid charm/bundle name: "haproxy-"'}].forEach(e=>{assert.throws(()=>a.fromLegacyString(e.str),e.err)})})})});